

#include <xc.h>
#define _XTAL_FREQ 8000000  
#define LCD_CLEAR           0x01     //Clear display
#define LCD_RETURN_HOME     0x02     //Return cursor to home 
#define Display_OFF         0x08
#define Display_ON          0x0C
#define NbCarPL 16
#define LIGNE1            	0x80          /* LCD  1 LIGNE      */
#define LIGNE2            	0xC0          /* LCD 2 LIGNES ET + */
#define QUATRE_BIT        	0             /* 4-bit Interface   */
#define NB_LIGNE          	8          	/* LCD 2 LIGNES ET + */
#define TAILLE_5X7        	0             /* MATRICE 5x7       */

// LCD 2x16 en mode // 4 bits
#define PORT_Data  PORTB 
#define RS         PORTBbits.RB0   
#define RW         PORTBbits.RB1
#define En         PORTBbits.RB2

void  Pulse_En (void);
void Delay_20ms(void);
void LCD_Cde(unsigned char cmd);
void Init_XC8_LCD (void);
void LCD_Put(char data);
void LCD_Print(char *str);
//void LCD_CPrint(const char *Cstring);
void LCD_Pos(char L,char posX);
